aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'sci-biology/ngsview/ngsview-0.91.ebuild')
-rw-r--r--sci-biology/ngsview/ngsview-0.91.ebuild15
1 files changed, 8 insertions, 7 deletions
diff --git a/sci-biology/ngsview/ngsview-0.91.ebuild b/sci-biology/ngsview/ngsview-0.91.ebuild
index c81dd09fe..c12ecfecd 100644
--- a/sci-biology/ngsview/ngsview-0.91.ebuild
+++ b/sci-biology/ngsview/ngsview-0.91.ebuild
@@ -1,14 +1,15 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
-inherit qt4-r2
-
DESCRIPTION="Display, edit NGS alignments"
HOMEPAGE="http://sourceforge.net/projects/ngsview"
-SRC_URI="mirror://sourceforge/projects/${PN}/files/${PN}/${P}.tar.gz"
+#SRC_URI="mirror://sourceforge/projects/${PN}/files/${PN}/${P}.tar.gz"
+SRC_URI="https://sourceforge.net/projects/ngsview/files/ngsview/ngsview-0.91.tar.gz"
+# http://ngsview.sourceforge.net/about.html
+# a qt3 package needs >=sys-libs/db-4.3:*[cxx]
# http://ngsview.sourceforge.net/manual.html
LICENSE="BSD"
@@ -18,13 +19,13 @@ IUSE=""
DEPEND="
media-gfx/graphviz
- sys-libs/db:*
- dev-qt/qtcore:4"
+ >=sys-libs/db-4.3:*[cxx]
+ dev-qt/qtcore:5"
RDEPEND="${DEPEND}"
src_configure(){
cd src/trapper || die "Cannot cd to src/trapper"
- eqmake4
+ /usr/lib/qt5/bin/qmake || die
}
src_compile() {